import { BaseClient, ClientConfig } from "@commerce-apps/core";
import { PromotionCampaignAssignmentSearchResult } from "./Assignments.types";
export { Money, CountryCode, SimpleSearchResult, SiteId, SearchRequest, LanguageCode, PaginatedSearchResult, ErrorResponse, Offset, Limit, TimeOfDay, Campaign, PromotionCampaignAssignment, Tag, Promotion, PromotionAssignmentInformation, Schedule, PromotionCampaignAssignmentSearchResult, Recurrence, PromotionAbtestGroupAssignment, } from "./Assignments.types";
/**
* Instantiate a Client object with desired ClientConfig to perform operations
* available in this API client.
*
* Note: When performing operations that require ShopperJWT authentication, an
* Authorization header containing a JWT can be added to the headers field of the
* ClientConfig object. The Client will use that Authorization header for all the
* operations it is used to perform.
*/
export declare class Client extends BaseClient {
    constructor(config: ClientConfig);
    /**
    * Searches for promotion campaign assignments.

The promotioncampaignassignment search document contains a search object that allows filtering on various attributes.

The query attribute specifies a complex query that can be used to narrow down the search. attributes are grouped\n into different buckets.  these are the list of searchable attributes with their corresponding buckets:
  
   main:
     
          rank - integer
          startDate - date
          endDate - date
                    
          campaign:
            
            campaignId - string
            
          promotion:
              
            promotionId - string
            description - string
            enabled - boolean
            
          special handling:
            
          couponId - string
          
          
          Only fields in the same bucket can be joined using a disjunction (or). For instance, when joining campaignId and rank above, only a conjunction is allowed (and), whereas promotionId and description can be joined to each other using an &#x27;or&#x27; because they are in the same bucket. Special handling fields must always use\n conjunctions. If the field is used in a  disjunction (or) that violates this rule, and an exception is thrown.
          
          Expands that can be applied for the search request:
          
          promotion
          campaign
         
         Note that only searchable attributes (excluding the ones marked with above with an asterisk) can be used in sorting.
    */
    assignmentsSearch(options: {
        rawResponse?: boolean;
        parameters?: {
            organizationId?: any;
            siteId?: any;
        };
        headers?: {
            [key: string]: string;
        };
        body: object;
    }): Promise<Response | PromotionCampaignAssignmentSearchResult>;
}
export default Client;
export { ClientConfig };
//# sourceMappingURL=Assignments.d.ts.map