import { BaseClient, ClientConfig } from "@commerce-apps/core";
import { GiftCertificate } from "./ShopperGiftCertificates.types";
export { SiteId, SearchRequest, PaginatedSearchResult, SimpleSearchResult, ErrorResponse, Offset, Limit, GiftCertificate, GiftCertificateRequest, } from "./ShopperGiftCertificates.types";
/**
* Instantiate a Client object with desired ClientConfig to perform operations
* available in this API client.
*
* Note: When performing operations that require ShopperJWT authentication, an
* Authorization header containing a JWT can be added to the headers field of the
* ClientConfig object. The Client will use that Authorization header for all the
* operations it is used to perform.
*/
export declare class Client extends BaseClient {
    constructor(config: ClientConfig);
    /**
    * Action to retrieve an existing gift certificate.
    */
    getGiftCertificate(options: {
        rawResponse?: boolean;
        parameters?: {
            organizationId?: any;
            siteId?: any;
        };
        headers?: {
            [key: string]: string;
        };
        body: object;
    }): Promise<Response | GiftCertificate>;
}
export default Client;
export { ClientConfig };
//# sourceMappingURL=ShopperGiftCertificates.d.ts.map