export declare type BoolFilter = {
    operator: string;
    filters?: Array<any>;
};
export declare type MatchAllQuery = {};
export declare type FilteredQuery = {
    filter: any;
    query: any;
};
export declare type ResultPage = {
    limit: number;
    offset: number;
};
export declare type SimpleSearchResult = {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type QueryFilter = {
    query: any;
};
export declare type Query = {
    boolQuery?: object;
    filteredQuery?: object;
    matchAllQuery?: object;
    nestedQuery?: object;
    termQuery?: object;
    textQuery?: object;
};
export declare type TermQuery = {
    fields: Array<string>;
    operator: string;
    values?: Array<any>;
};
export declare type SearchRequest = {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type TermFilter = {
    field: string;
    operator: string;
    values?: Array<any>;
};
export declare type TextQuery = {
    fields: Array<string>;
    searchPhrase: string;
};
export declare type Total = {};
export declare type Range2Filter = {
    fromField: string;
    toField: string;
    filterMode?: string;
    fromInclusive?: boolean;
    fromValue?: any;
    toInclusive?: boolean;
    toValue?: any;
};
export declare type BoolQuery = {
    must?: Array<any>;
    mustNot?: Array<any>;
    should?: Array<any>;
};
export declare type PaginatedSearchResult = {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    hits?: Array<object>;
    next?: object;
};
export declare type NestedQuery = {
    path: string;
    query: any;
    scoreMode?: string;
};
export declare type Filter = {
    boolFilter?: object;
    queryFilter?: object;
    range2Filter?: object;
    rangeFilter?: object;
    termFilter?: object;
};
export declare type Sort = {
    field: string;
    sortOrder?: string;
};
export declare type RangeFilter = {
    field: string;
    from?: any;
    fromInclusive?: boolean;
    to?: any;
    toInclusive?: boolean;
};
export declare type SiteId = {};
export declare type Error = {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Money = {
    currencyMnemonic: string;
    value: number;
};
export declare type CategoryProductAssignmentSearchResult = {
    hits: Array<object>;
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    next?: object;
};
export declare type ProductOption = {
    customName: object;
    defaultProductOptionValue: string;
    description: object;
    id: string;
    name: string;
    selectedOptionValue: string;
    shared: boolean;
    sortingMode: string;
    values: Array<object>;
    image?: object;
};
export declare type Master = {
    masterId: string;
    orderable?: boolean;
    price?: number;
    priceMax?: number;
    prices?: object;
};
export declare type CategorySearchResult = {
    hits: Array<object>;
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    next?: object;
};
export declare type Category = {
    id: string;
    catalogId?: string;
    categories?: Array<any>;
    creationDate?: any;
    description?: object;
    image?: string;
    lastModified?: any;
    name?: object;
    online?: boolean;
    pageDescription?: object;
    pageKeywords?: object;
    pageTitle?: object;
    parentCategoryId?: string;
    paths?: Array<object>;
    position?: number;
    sortingRules?: Array<object>;
    thumbnail?: string;
};
export declare type VariationAttribute = {
    attributeDefinitionId: string;
    attributeDefinitionName?: object;
    defaultValue?: string;
    id?: string;
    name?: object;
    shared?: boolean;
    slicing?: boolean;
    values?: Array<object>;
    variationAttributeType?: string;
};
export declare type CatalogCategoryId = {
    catalogId: string;
    categoryId: string;
};
export declare type Categories = {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type SortingRule = {
    creationDate: any;
    description: string;
    id: string;
    productSortingRuleSteps: Array<object>;
    ruleContext: string;
    site: string;
};
export declare type ProductType = {
    master: boolean;
    bundle?: boolean;
    bundled?: boolean;
    item?: boolean;
    option?: boolean;
    partOfProductSet?: boolean;
    partOfRetailSet?: boolean;
    retailSet?: boolean;
    set?: boolean;
    variant?: boolean;
    variationGroup?: boolean;
};
export declare type Variant = {
    productId: string;
    ats?: number;
    defaultProductVariation?: boolean;
    image?: object;
    inStock?: boolean;
    online?: boolean;
    orderable?: boolean;
    price?: number;
    priceCurrency?: string;
    searchable?: object;
    variationAttributes?: Array<object>;
    variationValues?: object;
};
export declare type VariationGroup = {
    orderable: boolean;
    price: number;
    productId: string;
    variationValues: object;
};
export declare type ProductOptionValue = {
    defaultProductOptionValue: boolean;
    id: string;
    optionPrices: Array<object>;
    skuExtension: string;
    value: object;
};
export declare type VariationAttributes = {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type CategoryLinks = {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type MarkupText = {
    markup: string;
    source: string;
};
export declare type ImageGroup = {
    images: Array<object>;
    variationAttributes: Array<object>;
    viewType: string;
};
export declare type Catalogs = {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type CategoryLink = {
    lastModified: any;
    position: number;
    sourceCatalogId: string;
    sourceCatalogName: object;
    sourceCategoryId: string;
    sourceCategoryName: object;
    targetCatalogId: string;
    targetCatalogName: object;
    targetCategoryId: string;
    targetCategoryName: object;
    type: string;
};
export declare type MediaFile = {
    alt: object;
    path: string;
    title: object;
    absUrl?: string;
    disBaseUrl?: string;
};
export declare type VariationAttributeValues = {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type CatalogSearchResult = {
    hits: Array<object>;
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    next?: object;
};
export declare type Site = {
    displayName: object;
    id: string;
    cartridges?: string;
    customerListLink?: object;
    description?: object;
    inDeletion?: boolean;
    storefrontStatus?: string;
};
export declare type ProductOptions = {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type Product = {
    assignedCategories?: Array<object>;
    ats?: number;
    brand?: string;
    bundledProducts?: Array<any>;
    creationDate?: any;
    defaultVariantId?: string;
    ean?: string;
    id?: string;
    image?: object;
    imageGroups?: Array<object>;
    inStock?: boolean;
    lastModified?: any;
    longDescription?: object;
    manufacturerName?: string;
    manufacturerSku?: string;
    master?: object;
    name?: object;
    online?: boolean;
    onlineFlag?: object;
    owningCatalogId?: string;
    owningCatalogName?: object;
    pageDescription?: object;
    pageKeywords?: object;
    pageTitle?: object;
    price?: number;
    priceCurrency?: string;
    primaryCategoryId?: string;
    productBundles?: Array<any>;
    productOptions?: Array<object>;
    productSets?: Array<any>;
    searchable?: object;
    setProducts?: Array<any>;
    shortDescription?: object;
    type?: object;
    unit?: string;
    upc?: string;
    variants?: Array<object>;
    variationAttributes?: Array<object>;
    variationGroups?: Array<object>;
    variationValues?: object;
};
export declare type CategoryProductAssignment = {
    catalogId: string;
    categoryId: string;
    productId: string;
    owningCatalogName?: object;
    position?: number;
    product?: object;
    productName?: object;
};
export declare type VariationAttributeValue = {
    value: string;
    description?: object;
    image?: object;
    imageSwatch?: object;
    name?: object;
    orderable?: boolean;
    position?: number;
};
export declare type ProductOptionValues = {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type CustomerListLink = {
    customerListId: string;
    title?: object;
};
export declare type PathRecord = {
    id: string;
    name?: object;
};
export declare type Catalog = {
    id: string;
    assignedProductCount?: number;
    assignedSites?: Array<object>;
    categoryCount?: number;
    creationDate?: any;
    description?: object;
    lastModified?: any;
    name?: object;
    online?: boolean;
    ownedProductCount?: number;
    recommendationCount?: number;
    rootCategory?: string;
};
export declare type SortingRuleStep = {
    attributeId: string;
    direction: string;
    isSystem: boolean;
    position: number;
    textRelevanceIncluded: boolean;
    typeId: string;
};
//# sourceMappingURL=Catalogs.types.d.ts.map